---
title: PublicKeyCredentialCreationOptions.timeout
slug: Web/API/PublicKeyCredentialCreationOptions/timeout
tags:
  - API
  - Property
  - PublicKeyCredentialCreationOptions
  - Reference
  - Web Authentication API
  - WebAuthn
---
<p>{{APIRef("Web Authentication API")}}{{securecontext_header}}</p>

<p>The <strong><code>timeout</code></strong> property, of the {{domxref("PublicKeyCredentialCreationOptions")}} dictionary, represents an hint, given in milliseconds, for the time the script is willing to wait for the completion of the creation operation.</p>

<p>This property is optional and merely is a <em>hint</em> which may be overridden by the browser.</p>

<div class="notecard note">
<p><strong>Note:</strong> An analogous option exists for the fetching operation ({{domxref("CredentialsContainer.get","navigators.credentials.get()")}}), see {{domxref("PublicKeyCredentialRequestOptions.timeout")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>timeout </em>= <em>publicKeyCredentialCreationOptions</em>.timeout</pre>

<h3 id="Value">Value</h3>

<p>A numerical hint, expressed in milliseconds, giving the time to wait for the creation operation to complete.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">var publicKey = {
  timeout: 60000, // Accepting to wait for a minute before giving up.
  challenge: new Uint8Array(26) /* this actually is given from the server */,
  rp: {
    name: "Example CORP",
    id  : "login.example.com"
  },
  user: {
    id: new Uint8Array(26), /* To be changed for each user */
    name: "jdoe@example.com",
    displayName: "John Doe",
  },
  pubKeyCredParams: [
    {
      type: "public-key",
      alg: -7
    }
  ]
};

navigator.credentials.create({ publicKey })
  .then(function (newCredentialInfo) {
    // send attestation response and client extensions
    // to the server to proceed with the registration
    // of the credential
  }).catch(function (err) {
     console.error(err);
  });</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebAuthn','#dom-publickeycredentialcreationoptions-timeout','timeout')}}</td>
   <td>{{Spec2('WebAuthn')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PublicKeyCredentialCreationOptions.timeout")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PublicKeyCredentialRequestOptions.timeout")}}, the analogous option property used when fetching a credential.</li>
</ul>
